Bug 177073 - Missing function in Amarok 2.0 to get the current track position in milliseconds
Summary: Missing function in Amarok 2.0 to get the current track position in milliseconds
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Tools/Script Manager (show other bugs)
Version: 2.0-rc
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-06 17:55 UTC by De_Dood
Modified: 2009-12-09 11:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description De_Dood 2008-12-06 17:55:54 UTC
Version:           Amarok 2 (using KDE 4.1.3)
OS:                Linux
Installed from:    Ubuntu Packages

For the script I'm writing I need to get the current position in the playing track in milliseconds, seconds are not precise enough.
Please add a function like this to Amarok 2 if this is possible.
Comment 1 Dan Meltzer 2008-12-06 17:57:12 UTC
In 2.1 we're going to make all functions use milliseconds instead of seconds.
Comment 2 Mark Kretschmann 2008-12-07 11:47:03 UTC
Upgrading to "bug" from wish. Noone ever looks at wishes anyway.
Comment 3 Seb Ruiz 2009-04-12 08:03:52 UTC
SVN commit 952507 by seb:

Track position can be retrieved in milliseconds with the
trackPositionMs() method.
BUG: 177073

 M  +1 -0      ChangeLog  
 M  +6 -0      src/EngineController.cpp  
 M  +3 -0      src/EngineController.h  
 M  +5 -0      src/scriptengine/AmarokEngineScript.cpp  
 M  +1 -1      src/scriptengine/AmarokEngineScript.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=952507